This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 408691

Summary: virsh: Cannot start FC7 domains in FC8
Product: [Fedora] Fedora Reporter: Alec Leamas <leamas>
Component: libvirtAssignee: Xen Maintainance List <xen-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 8CC: berrange
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 00:24:34 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
xend.log (python stack trace)
none
Failing domain definition none

Description Alec Leamas 2007-12-03 09:43:00 EST
I have several  (5) domains defined in fc7. None of them can be started after
upgrading to FC8. The FC8 installation is a fresh install, not an update.

Version-Release number of selected component (if applicable):


How reproducible: Always.


Steps to Reproduce:
[root@hemulen xen]# virsh define fedora32.xm.xml
Domain fedora32 defined from fedora32.xm.xml

[root@hemulen xen]# virsh start fedora32
libvir: Xen Daemon error : POST operation failed: (xend.err 'int argument required')
error: Failed to start domain fedora32

Actual results:
See above


Expected results:

Domain started as in FC7


Additional info:

The problem seem to be twofold:

In the file /usr/lib64/python2.5/site-packages/xen/xend/image.py, line 251:

  info = xc.xeninfo()
  if 'hvm' not in info['xen_caps']:
      raise HVMRequired()

This test seems to fail, but should not:

[root@hemulen xen]# /usr/sbin/xm info | grep hvm
xen_caps               : xen-3.0-x86_64 xen-3.0-x86_32p hvm-3.0-x86_32
hvm-3.0-x86_32p hvm-3.0-x86_64

Further on, in line 420 (same file)

       ret.append("%s:%d%s" % (vnclisten, vncdisplay, vncopts))

seems to trigger the exception. Untested error condition?!
Comment 1 Alec Leamas 2007-12-03 09:43:00 EST
Created attachment 275721 [details]
xend.log (python stack trace)
Comment 2 Alec Leamas 2007-12-03 09:45:56 EST
Created attachment 275731 [details]
Failing domain definition

This definition worked OK in FC7. I have 4 other domains, all working in FC7
and giving the same error in FC8
Comment 3 Bug Zapper 2008-11-26 03:48:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:24:34 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.